> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_announcements

> Retrieves platform announcements and important notices. Announcements include system updates, maintenance schedules, new features, policy changes, and other important information.

Results are returned in reverse chronological order (newest first). The default `start_timestamp` is the current time, and the `count` parameter must be between 1 and 50 (default is 5).

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_announcements)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_announcements
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_announcements:
    get:
      tags:
        - Account Management
        - Public
      description: >+
        Retrieves platform announcements and important notices. Announcements
        include system updates, maintenance schedules, new features, policy
        changes, and other important information.


        Results are returned in reverse chronological order (newest first). The
        default `start_timestamp` is the current time, and the `count` parameter
        must be between 1 and 50 (default is 5).


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_announcements)

      parameters:
        - description: >-
            The most recent timestamp to return the results for (milliseconds
            since the UNIX epoch)
          in: query
          name: start_timestamp
          required: false
          schema:
            $ref: '#/components/schemas/timestamp'
            default: Current time
        - description: >-
            Maximum count of returned announcements, default - `5`, maximum -
            `50`
          in: query
          name: count
          required: false
          schema:
            default: 5
            example: 10
            maximum: 50
            minimum: 1
            type: integer
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 7661
                  jsonrpc: '2.0'
                  method: public/get_announcements
                  params: {}
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetAnnouncementsResponse'
components:
  schemas:
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    PublicGetAnnouncementsResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          items:
            properties:
              body:
                description: The HTML body of the announcement
                example: An&nbsp;announcement
                type: string
              confirmation:
                description: >-
                  Whether the user confirmation is required for this
                  announcement
                example: false
                type: boolean
              id:
                description: A unique identifier for the announcement
                example: 19288317
                type: number
              important:
                description: Whether the announcement is marked as important
                example: false
                type: boolean
              publication_timestamp:
                description: >-
                  The timestamp (milliseconds since the Unix epoch) of
                  announcement publication
                example: 1527844253000
                type: integer
              title:
                description: The title of the announcement
                example: Example announcement
                type: string
            required:
              - title
              - body
              - important
              - id
              - publication_timestamp
            type: object
          type: array
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetAnnouncementsResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 3022
                jsonrpc: '2.0'
                result:
                  - body: Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    id: 1550058362418
                    important: false
                    publication_timestamp: 1550058362418
                    title: Example announcement
          schema:
            $ref: '#/components/schemas/PublicGetAnnouncementsResponse'
      description: Success response

````